## org.apache.taglibs.standard.lang.jstl
Class JSTLVariableResolver

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.JSTLVariableResolver

All Implemented Interfaces:
  VariableResolver

    public class JSTLVariableResolver

extends Object
implements VariableResolver

This is the JSTL-specific implementation of VariableResolver. It looks up variable references in the PageContext, and also recognizes references to implicit objects.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`JSTLVariableResolver()`

Method Summary
`Object` `resolveVariable(String pName, Object pContext)` Resolves the specified variable within the given context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSTLVariableResolver

    public JSTLVariableResolver()

Method Detail

### resolveVariable

    public Object resolveVariable(String pName,
                                  Object pContext)
                           throws ELException

  Resolves the specified variable within the given context. Returns null if the variable is not found.

  Specified by:
    `resolveVariable` in interface `VariableResolver`
  Throws:
    `ELException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.